/* Filelist Widget */

#ifndef FILELIST_H
#define FILELIST_H

#include <gtk/gtk.h>

#include "selectlist.h"

typedef struct 
{
	GtkWidget *widget;
	selectlist_info *selectlistinfo;
	char path[256];         // path currently displayed
	
	GtkTreeItem *treeentry; // points to the tree-entry for this directory
} filelist_info;

filelist_info *filelist_create(char *path,
			       selectlist_dropcallback,
			       int send,int popup,
			       GtkTreeItem *treeentry,
			       GtkSignalFunc item_remove,
			       GtkSignalFunc mkdir,
			       GtkSignalFunc doubleclick);
void filelist_destroy(filelist_info*);

#endif // FILELIST_H
